@echo off
echo.
echo ***************************
echo *  XXCOPY INSTALL SCRIPT  *
echo ***************************
echo.
:skip
if "%1" == "/?" goto help
if "%1" == "/-" goto help
if not exist xxcopy.exe   goto baddir
if not exist xxcopy16.exe goto baddir 
if "%1" == ""   goto default

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: the target directory specified
::
if not exist "%1\nul"
echo.
echo Creating the new directory "%1"...
echo.
mkdir %1
if not exist "%1\nul" goto err_mkdir
echo.
echo Copying files into "%1"...
echo.
echo copy /y xxcopy.exe    %1
copy /y xxcopy.exe    %1
echo copy /y xxcopy16.exe  %1
copy /y xxcopy16.exe  %1
echo copy /y uixxcopy.bat  %1
copy /y uixxcopy.bat  %1
echo on
if not exist %1\xxcopy.exe   goto err_copy
if not exist %1\xxcopy16.exe goto err_copy
if not exist %1\uixxcopy.bat goto err_copy
goto done

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: no directory specified, uses \windows\command as the target 
::
:default
if not exist \windows\command\nul goto err_default
echo Are you ready to Install XXCOPY into the \windows\command directory?
echo If not, press Ctrl-Break to terminate this batch script
echo To continue,  press any other key now.
pause >nul
echo.
echo Copying files into \windows\command ...
echo.
echo copy /y xxcopy.exe    \windows\command
copy /y xxcopy.exe    \windows\command
echo copy /y xxcopy16.exe  \windows\command
copy /y xxcopy16.exe  \windows\command
echo copy /y uixxcopy.bat  \windows\command
copy /y uixxcopy.bat  \windows\command
if not exist \windows\command\xxcopy.exe   goto err_copy
if not exist \windows\command\xxcopy16.exe goto err_copy
if not exist \windows\command\uixxcopy.bat goto err_copy
goto done

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:err_default
echo.
echo The default installation directory, \windows\command does not exist.
echo Please specify the directory you want to install XXCOPY.
goto end

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:help
echo Needs the target directory where the DATMAN files will be installed.
:usage
echo.
echo Usage: INSTALL path       ; Where  drv is the floppy drive
echo                           ;        path is the destination directory.
echo                           ; Note:  path must start with the drive name.
echo.
echo Example: INSTALL C:\BIN   ; Always start with the drive letter...
echo                           ; Don't end with '\' for proper installation
echo.
goto end

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:baddir
echo.
echo The current directory does not contain the XXCOPY files.
echo You must run XXCOPY INSTALL.BAT from the directory where all
echo the XXCOPY install files are located.
echo.
goto end

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:err_copy
echo.
echo Failed to copy file(s), XXCOPY installation incomplete.
echo.
goto end

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:err_mkdir
echo.
echo Failed to create/find the XXCOPY installation directory.
echo.
goto end

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:done
echo.
echo XXCOPY installation complete.
echo.
:end
